<!-- templates/home.html -->
{% extends 'base.html' %}
{% load gestion_projets_extras %}

{% block title %}Projects{% endblock %}
{% block titlePage %}Bonjour {{ user.first_name }} !{% endblock %}

{% block menu %}
	{% if user.is_authenticated %}
		{% include "includes/menu.html" with active_tab='tab1' %}
	{% endif %}
{% endblock %}

{% block content %}

	{% if user.is_authenticated %}
<div class="m-3">
    <div class="remark primary">
        <p><b>Explication :</b> Ce site permet de gérer l'ensemble du processus des projets étudiants du département.</p>
        <p>Il permet de récupérer une base de sujet, de créer des groupes d'étudiants et de suivre l'évolution des projets tout au long de son cycle de vie.</p>
    </div>

    <div class="row">
        <div class="cell-lg-6 cell-sm-6">
            <div class="panel mt-4">
                <div class="row p-5">
                    <h5>Sessions</h5>
                </div>
                <div class="remark primary m-5">
                    <p><b>Explication :</b> Liste des sessions sur lesquelles vous pouvez contribuer. Seules les sessions sur lequelles vous pouvez contribuer sont visibles.</p>
                </div>
                <div class="row p-5">
                    <div class="cell-lg-6">
                        Voir vos sessions disponibles : 
                    </div>
                    <div class="cell-lg-6">
                        <a class="image-button success" title="Voir la liste des sessions" href="{% url 'gestion_projets:session_list' %}"><center>
                            <span class="mif-list icon"></span>
                            <span class="caption">Mes Sessions</span></center>
                        </a>
                    </div>
                </div>
            </div>
        </div>
{% if user|has_group:"Tutor" or user|has_group:"Admin"  %}


        <div class="cell-lg-6 cell-sm-6">
            <div class="panel mt-4">
                <div class="row p-5">
                    <h5>Sujets</h5>
                </div>
                <div class="remark primary m-5">
                    <p><b>Explication :</b> Liste des sujets de tous les temps. Certains sujets peuvent ne pas être disponibles comme projet.</p>
                </div>
                <div class="row p-5">
                    <div class="cell-lg-6">
                        Voir tous les sujets existants : 
                    </div>
                    <div class="cell-lg-6">
                        <a class="image-button success" title="Voir la liste des sessions" href="{% url 'gestion_projets:subject_list' %}"><center>
                            <span class="mif-file-empty icon"></span>
                            <span class="caption">Sujets</span></center>
                        </a>
                    </div>
                </div>
            </div>
        </div>
{% endif %}
    </div>

	{% else %}
		<div class="login-form bg-white p-6 mx-auto border bd-default win-shadow">
			<h2 class="text-light">Il faut obligatoirement être connecté pour accéder au site.</h2>
			<center>
                <a class="image-button success" title="Se connecter au site" href="{% url 'login' %}"><center>
                    <span class="mif-switch icon"></span>
                    <span class="caption">Se connecter</span></center>
                </a>
            </center>
		</div>
	{% endif %}

{% endblock %}


